server:
  port: 8084
spring:
  profiles:
    active: dev
  application:
    name: gateway-service
role:
  excludePathPatterns:
    /manager,
    /secure,
    /secure/**,
    /pay/**,
    /manager/user/info,
    /manager/user/login,
    /manager/user/logout

login:
  excludePathPatterns:
    /secure/custom/login,
    /secure/custom/logout,
    /secure/custom/register/send/code,
    /secure/custom/switch/lang,
    /secure/country/get,
    /secure/custom/update/masterPassword/send/email,
    /secure/custom/update/email/masterPassword
    /secure/webSocket,
    /secure/custom/update/password/send/email,
    /secure/custom/update/email/password,
    /secure/account/deal/password/reset/apply,
    /secure/hand/shake/get,
    /secure/custom/login/exist,
    /secure/email/unsubscribe/add,
    /secure/email/unsubscribe/type,
    /secure/custom/get/language,
    /manager/user/info,
    /manager/user/login,
    /manager/user/logout

eureka:
  instance:
    prefer-ip-address: true
  client:
    service-url:
      defaultZone: http://admin:admin123456@localhost:7000/eureka
  server:
    enable-self-preservation: false #是否开启自我保护模式
    eviction-interval-timer-in-ms: 60000 #服务注册表清理间隔（单位：毫秒，默认60*1000）

#设置ribbon的超时时间
ribbon:
  ReadTimeout: 60000
  ConnectTimeout: 60000
hystrix:
  command:
    default:
      execution:
        isolation:
          thread:
            timeoutInMilliseconds: 60000
zuul:
  host:
    connect-timeout-millis: 60000
    socket-timeout-millis: 60000
  ignored-services: "*"
  routes:
    custom:
      path: /secure/**
      serviceId: trade-custom-service
    pay:
      path: /pay/**
      serviceId: trade-pay-service
    ib:
      path: /ib/**
      serviceId: ib-service
    agentActivity:
      path: /agent/activity/**
      serviceId: agent-activity-service
    manager:
      path: /manager/**
      serviceId: trade-manager-service
    web:
      path: /web/**
      serviceId: trade-web-service

